function J = objaektiv(x)

% Calculate objective function.

h=ActXServer('UnisimDesign.Application');
hyCase = h.Activedocument;
sol=hyCase.Solver;
f = hyCase.Flowsheet;

sol.CanSolve = 0 ;

%We'll work with 10 variables.

P1_C3 = x(1) ; % Lowest pressure in propane cycle
P2_C3 = x(2) ; % Second lowest pressure in propane cycle
P3_C3 = x(3) ; % Third lowest pressure in propane cycle
P3_MR = x(4) ; % Pressure out of K105, highest pressure in MR cycle
Pc_MR = x(5) ; % Pressure in cold end of plant, after J-T expansion of MR
flow1_C3 = x(6) ; % Propane flow to NG precooling
flow2_C3 = x(7) ; % Propane flow to MR precooling
flow_MR = x(8) ;  % Flow of mixed refrigerant
P1_MR = x(9) ; % Pressure out of K1-MR
P2_MR = x(10) ; % PRessure out of K-100


f.MaterialStreams.Item('C3-11-NG').PressureValue = P1_C3;
f.MaterialStreams.Item('C3-7-NG').PressureValue = P2_C3;
f.MaterialStreams.Item('C3-3-NG').PressureValue = P3_C3;
f.MaterialStreams.Item('4').PressureValue = P3_MR;
f.MaterialStreams.Item('MR-8-V').PressureValue = Pc_MR; 
f.MaterialStreams.Item('C3-2-NG').MolarFlowValue = flow1_C3; 
f.MaterialStreams.Item('C3-2-MR').MolarFlowValue = flow2_C3; 
f.MaterialStreams.Item('MR-14').MolarFlowValue = flow_MR; 
f.MaterialStreams.Item('MR-15').PressureValue = P1_MR;
f.MaterialStreams.Item('2').PressureValue = P2_MR;


sol.CanSolve = 1 ;


J = f.Operations.Item('SPRDSHT-2').Imports.Item('A5: A1:').CellValue;

%J

end
